## mkpxeinitrd-net 1.4-3

=== initrd/Makefile ===
BUSYBOX_VERSION = 1.15.3
BUSYBOX = busybox-$(BUSYBOX_VERSION)
$(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

#
BUILD_NCPUS = $(shell egrep -c "^cpu[0-9]+" /proc/stat || :)
if [ $(BUILD_NCPUS) -eq 0 ] ; then \
    $(BUILD_NCPUS) = 1 \
fi
if [ $(BUILD_NCPUS) -gt 4 ] ; then \
    $(BUILD_NCPUS) = 4 \
fi
MP_OPT = -j $(BUILD_NCPUS)

all : utils initrd-skel

%.tar.bz2 :
	[ -d $* ] || wget $($*_SOURCE)
	[ -f $*.t*gz ] && ( gunzip $*.t*gz ; bzip2 -9 $*.tar ) || true

%.tar.gz :
	[ -d $* ] || wget $($*_SOURCE)

UTILS = busybox

utils : $(UTILS)

clean : partlyclean

partlyclean :
	rm -rf $(UDHCP)
	rm -rf $(BUSYBOX)
	rm -rf initrd-skel
	rm -f *.img *.ird *.nbi
	rm -f $(UTILS)

.PHONY : all utils clean partlyclean

busybox : $(BUSYBOX)
	install -m 755 -s $(BUSYBOX)/$@ $@

$(BUSYBOX) : $(BUSYBOX).tar.bz2
	[ -d $@ ] || tar xvjf $<
	install -m 644 config.busybox/$(BUSYBOX).config $(BUSYBOX)/.config
	$(MAKE) -C $(BUSYBOX)
	install -m 644 $(BUSYBOX)/AUTHORS AUTHORS.busybox
	install -m 644 $(BUSYBOX)/LICENSE LICENSE.busybox

initrd-skel : $(UTILS) linuxrc-or-init udhcpc-post
	rm -rf $@
	mkdir -p $@
	mkdir -p $@/dev
	mkdir -p $@/etc
	mkdir -p $@/bin
	mkdir -p $@/lib
	mkdir -p $@/lib/modules
	mkdir -p $@/proc
	mkdir -p $@/sysroot
	ln -s bin $@/sbin
	install -m 755 busybox scan_pci ls_pciid.sh get-nic-devs insert-modules $@/bin/
	install -m 644 pcitable pci.ids linuxrc.conf netdev.conf modules $@/etc/
	ln -s busybox $@/bin/sh
	ln -s busybox $@/bin/echo
	ln -s busybox $@/bin/mknod
	ln -s busybox $@/bin/chmod
	ln -s busybox $@/bin/ifconfig
	ln -s busybox $@/bin/route
	ln -s busybox $@/bin/mount
	ln -s busybox $@/bin/pivot_root
	ln -s busybox $@/bin/umount
	ln -s busybox $@/bin/[
	ln -s busybox $@/bin/grep
	ln -s busybox $@/bin/sed
	ln -s busybox $@/bin/cat
	ln -s busybox $@/bin/cut
	ln -s busybox $@/bin/sort
	ln -s busybox $@/bin/head
	ln -s busybox $@/bin/uniq
	#ln -s busybox $@/bin/insmod
	#ln -s busybox $@/bin/modprobe
	#ln -s busybox $@/bin/rmmod
	#ln -s busybox $@/bin/lsmod
	ln -s busybox $@/bin/ping
	ln -s busybox $@/bin/df
	ln -s busybox $@/bin/id
	ln -s busybox $@/bin/more
	ln -s busybox $@/bin/ln
	ln -s busybox $@/bin/ls
	ln -s busybox $@/bin/gunzip
	ln -s busybox $@/bin/uname
	ln -s busybox $@/bin/tr
	ln -s busybox $@/bin/mkdir
	ln -s busybox $@/bin/rm
	# busybox 1.0 has udhcpc
	ln -s busybox $@/bin/udhcpc
	ln -s busybox $@/bin/switch_root
	ln -s busybox $@/bin/mountpoint
	ln -s busybox $@/bin/wc

	install -m 755 linuxrc-or-init $@/linuxrc-or-init
	install -m 755 udhcpc-post $@/bin/udhcpc-post
	cd $@/etc; ln -s ../dev/resolv.conf resolv.conf

tftpboot/initrd-%.img : initrd-skel
	./mkpxeinitrd-net -l `echo $* | tr . " "`

prefix = $(DESTDIR)/usr
sysconfdir = /etc
bindir = $(prefix)/bin
libdir = $(prefix)/lib
mandir = $(prefix)/share/man
docdir = $(prefix)/share/doc
initrdskeldir = $(prefix)/lib/mkpxeinitrd-net/initrd-skel
hooksdir = $(prefix)/lib/mkpxeinitrd-net/hooks

install :
	mkdir -p $(bindir)
	mkdir -p $(sysconfdir)
	mkdir -p $(initrdskeldir)
	mkdir -p $(hooksdir)
	install -m 755 \
	        mkpxeinitrd-net parse-net-mod parse-nfs-mod $(bindir)/
	cp -a initrd-skel/* $(initrdskeldir)/
	cp -a hooks/* $(hooksdir)/

=== debian/changelog ===
mkpxeinitrd-net (1.4-3) unstable; urgency=low

  * Bug fixed: kernel/drivers/hid/usbhid* was not copied to initrd.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Mar 2010 16:54:00 +0800

mkpxeinitrd-net (1.4-2) unstable; urgency=low

  * RPM spec file was updated. No more mknbi related command.
  * A dir name was added when creating the tarball.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Mar 2010 14:55:00 +0800

mkpxeinitrd-net (1.4-1) unstable; urgency=low

  * First Debian release without using alien.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Mar 2010 09:21:00 +0800

=== debian/control ===
Source: mkpxeinitrd-net
Section: misc
Priority: optional
Maintainer: Steven Shiau <steven@nchc.org.tw>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.8.0
Homepage: http://www.freedos.org/

Package: mkpxeinitrd-net
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps
Description: Build initial ramdisk images for DRBL clients.
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable for use with PXE and Etherboot (Using PXE compatable mode) network-booting software.  This package contains one main utility: mkpxeinitrd-net (to build an initrd containing a specified set of network-card modules).
  mkpxeinitrd-net uses code from busybox project.

## mkpxeinitrd-net 1.4-4

=== Makefile ===
VERSION = 1
PATCHLEVEL = 16
SUBLEVEL = 1
EXTRAVERSION =
NAME = Unnamed

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into busybox), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call sparse as part of compilation of C files
# Use 'make C=1' to enable sparse checking

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH TOPDIR


# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

CROSS_COMPILE ?=
# bbox: we may have CONFIG_CROSS_COMPILER_PREFIX in .config,
# and it has not been included yet... thus using an awkward syntax.
ifeq ($(CROSS_COMPILE),)
CROSS_COMPILE := $(shell grep ^CONFIG_CROSS_COMPILER_PREFIX .config 2>/dev/null)
CROSS_COMPILE := $(subst CONFIG_CROSS_COMPILER_PREFIX=,,$(CROSS_COMPILE))
CROSS_COMPILE := $(subst ",,$(CROSS_COMPILE))
#")
endif

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

ifneq ($(CROSS_COMPILE),)
SUBARCH := $(shell echo $(CROSS_COMPILE) | cut -d- -f1)
else
SUBARCH := $(shell uname -m)
endif
SUBARCH := $(shell echo $(SUBARCH) | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
					 -e s/arm.*/arm/ -e s/sa110/arm/ \
					 -e s/s390x/s390/ -e s/parisc64/parisc/ \
					 -e s/ppc.*/powerpc/ -e s/mips.*/mips/ )

ARCH ?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

# 	Decide whether to build built-in, modular, or both.
#	Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are uptodate before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing wil be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

HOSTCC  	= gcc
HOSTCXX  	= g++
HOSTCFLAGS	:=
HOSTCXXFLAGS	:=
# We need some generic definitions
include $(srctree)/scripts/Kbuild.include

HOSTCFLAGS	+= $(call hostcc-option,-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer,)
HOSTCXXFLAGS	+= -O2

# For maximum performance (+ possibly random breakage, uncomment
# the following)

MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
CC		= $(CROSS_COMPILE)gcc
LD		= $(CC) -nostdlib
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
CFLAGS		:= $(CFLAGS)
# Added only to final link stage of busybox binary
CFLAGS_busybox	:= $(CFLAGS_busybox)
CPPFLAGS	:= $(CPPFLAGS)
AFLAGS		:= $(AFLAGS)
LDFLAGS		:= $(LDFLAGS)
LDLIBS		:=

# Read KERNELRELEASE from .kernelrelease (if it exists)
KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export	VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION \
	ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
	HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE
export FLTFLAGS

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name .pc -o -name .hg -o -name .git \) -prune -o
export RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS --exclude .pc --exclude .hg --exclude .git

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
PHONY += scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To avoid any implicit rule to kick in, define an empty command.
scripts/basic/%: scripts_basic ;

# bbox: we have helpers in applets/
# we depend on scripts_basic, since scripts/basic/fixdep
# must be built before any other host prog
PHONY += applets_dir
applets_dir: scripts_basic
	$(Q)$(MAKE) $(build)=applets

applets/%: applets_dir ;

PHONY += outputmakefile
# outputmakefile generates a Makefile in the output directory, if using a
# separate output directory. This allows convenient use of make in the
# output directory.
outputmakefile:
ifneq ($(KBUILD_SRC),)
	$(Q)$(CONFIG_SHELL) $(srctree)/scripts/mkmakefile \
	    $(srctree) $(objtree) $(VERSION) $(PATCHLEVEL)
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.15.3
+BUSYBOX_VERSION = 1.16.1
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.4-4) unstable; urgency=low

  * Only the specific version of kernel firmware in /lib/firmware/ will be put in the initrd.
  * More improvements about udev hooks. Some more required files should be copied.
  * More USB hid modules will be copied in initramfs of client.
  * New upstream busybox 1.16.1.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Apr 2010 15:53:00 +0800

## mkpxeinitrd-net 1.5-1

=== initrd/Makefile ===
--- 
+++ 
@@ -96,6 +96,7 @@
 	ln -s busybox $@/bin/switch_root
 	ln -s busybox $@/bin/mountpoint
 	ln -s busybox $@/bin/wc
+	ln -s busybox $@/bin/ps
 
 	install -m 755 linuxrc-or-init $@/linuxrc-or-init
 	install -m 755 udhcpc-post $@/bin/udhcpc-post
@@ -110,8 +111,8 @@
 libdir = $(prefix)/lib
 mandir = $(prefix)/share/man
 docdir = $(prefix)/share/doc
-initrdskeldir = $(prefix)/lib/mkpxeinitrd-net/initrd-skel
-hooksdir = $(prefix)/lib/mkpxeinitrd-net/hooks
+initrdskeldir = $(libdir)/mkpxeinitrd-net/initrd-skel
+hooksdir = $(libdir)/mkpxeinitrd-net/hooks
 
 install :
 	mkdir -p $(bindir)
@@ -120,5 +121,7 @@
 	mkdir -p $(hooksdir)
 	install -m 755 \
 	        mkpxeinitrd-net parse-net-mod parse-nfs-mod $(bindir)/
+	install -m 755 \
+	        mkpxeinitrd-net-func $(libdir)/mkpxeinitrd-net/
 	cp -a initrd-skel/* $(initrdskeldir)/
 	cp -a hooks/* $(hooksdir)/

=== debian/changelog ===
mkpxeinitrd-net (1.5-1) unstable; urgency=low

  * Do not use the function from drbl package. The function should be in this mkpxeinitrd-net package. 
  * Improvement: Program /lib/udev/firmware should be copied for Ubuntu 10.04.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Apr 2010 14:23:00 +0800

## mkpxeinitrd-net 1.5-4

=== debian/changelog ===
mkpxeinitrd-net (1.5-4) unstable; urgency=low

  * Program mkpxeinitrd-net was improved to skip non-existing /lib/udev/*firmware* files in initrd.
  * A workaround to fix an udevd issue (http://sourceforge.net/projects/drbl/forums/forum/394007/topic/3729074) in CentOS 5.5. was implemented.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jun 2010 15:36:00 +0800

mkpxeinitrd-net (1.5-3) unstable; urgency=low

  * Bug fixed: Failed to scan some of the PCI device for OpenSuSE 10.3.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Apr 2010 22:15:00 +0800

mkpxeinitrd-net (1.5-2) unstable; urgency=low

  * Bug fixed: drbl.conf should be loaded.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Apr 2010 14:49:00 +0800

## mkpxeinitrd-net 1.5-5

=== debian/changelog ===
mkpxeinitrd-net (1.5-5) unstable; urgency=low

  * Minor improvement was done in linuxrc-or-init.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jun 2010 14:36:00 +0800

## mkpxeinitrd-net 1.5-7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
 PATCHLEVEL = 16
-SUBLEVEL = 1
+SUBLEVEL = 2
 EXTRAVERSION =
 NAME = Unnamed

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.16.1
+BUSYBOX_VERSION = 1.16.2
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.5-7) unstable; urgency=low

  * Bug fixed: udevd should not be started if daemon mode is not supported. This should fix an issue on CentOS/RHEL 4.
  * New upstream busybox 1.16.2.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Jun 2010 08:05:00 +0800

mkpxeinitrd-net (1.5-6) unstable; urgency=low

  * Bug fixed: modprobe from Mandriva uses compressed kernel module, it's not the case we used before (modprobe was from busybox). 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jun 2010 22:19:00 +0800

## mkpxeinitrd-net 1.5-8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION = 1
-PATCHLEVEL = 16
+PATCHLEVEL = 17
 SUBLEVEL = 2
 EXTRAVERSION =
 NAME = Unnamed
@@ -358,11 +358,16 @@
 # To avoid any implicit rule to kick in, define an empty command.
 scripts/basic/%: scripts_basic ;
 
+# This target generates Kbuild's and Config.in's from *.c files
+PHONY += gen_build_files
+gen_build_files: $(wildcard $(srctree)/*/*.c) $(wildcard $(srctree)/*/*/*.c)
+	$(Q)$(srctree)/scripts/gen_build_files.sh $(srctree) $(objtree)
+
 # bbox: we have helpers in applets/
 # we depend on scripts_basic, since scripts/basic/fixdep
 # must be built before any other host prog
 PHONY += applets_dir
-applets_dir: scripts_basic
+applets_dir: scripts_basic gen_build_files
 	$(Q)$(MAKE) $(build)=applets
 
 applets/%: applets_dir ;
@@ -373,9 +378,3 @@
 # output directory.
 outputmakefile:
 ifneq ($(KBUILD_SRC),)
-	$(Q)$(CONFIG_SHELL) $(srctree)/scripts/mkmakefile \
-	    $(srctree) $(objtree) $(VERSION) $(PATCHLEVEL)
-endif
-
-# To make sure we do not include .config for any of the *config targets
-# catch them early, and hand them over to scripts/kconfig/Makefile

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.16.2
+BUSYBOX_VERSION = 1.17.2
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.5-8) unstable; urgency=low

  * New upstream busybox 1.17.1.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 11 Aug 2010 09:07:29 +0800

## mkpxeinitrd-net 1.5-9

=== debian/changelog ===
mkpxeinitrd-net (1.5-9) unstable; urgency=low

  * A better method to find USB related files was added. 
  * New upstream busybox 1.17.2.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 Sep 2010 17:29:21 +0800

## mkpxeinitrd-net 1.5-10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
 PATCHLEVEL = 17
-SUBLEVEL = 2
+SUBLEVEL = 3
 EXTRAVERSION =
 NAME = Unnamed

=== debian/changelog ===
mkpxeinitrd-net (1.5-10) unstable; urgency=low

  * New upstream busybox 1.17.3.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Oct 2010 08:59:17 +0800

## mkpxeinitrd-net 1.5-11

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.17.2
+BUSYBOX_VERSION = 1.18.3
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2
 
@@ -10,6 +10,7 @@
 if [ $(BUILD_NCPUS) -gt 4 ] ; then \
     $(BUILD_NCPUS) = 4 \
 fi
+SHELL := /bin/bash
 MP_OPT = -j $(BUILD_NCPUS)
 
 all : utils initrd-skel

=== debian/changelog ===
mkpxeinitrd-net (1.5-11) unstable; urgency=low

  * New upstream busybox 1.18.3.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Feb 2011 13:18:43 +0800

## mkpxeinitrd-net 1.6.1-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.1-1drbl) unstable; urgency=low

  * No more using mount from busybox, we use the one from distribution system. This is specially for mount.nfs.
  * The NFS client options were changed: "rsize=65536,wsize=65536" for NFS clients was removed. Let mount and kernel decide that. "nfsvers=3" was added.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Apr 2011 14:35:36 +0800

mkpxeinitrd-net (1.5-12) unstable; urgency=low

  * New upstream busybox 1.18.4.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 30 Mar 2011 21:51:43 +0800

## mkpxeinitrd-net 1.6.2-1drbl

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.18.3
+BUSYBOX_VERSION = 1.18.4
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2
 
@@ -66,9 +66,9 @@
 	ln -s busybox $@/bin/chmod
 	ln -s busybox $@/bin/ifconfig
 	ln -s busybox $@/bin/route
-	ln -s busybox $@/bin/mount
+	#ln -s busybox $@/bin/mount
 	ln -s busybox $@/bin/pivot_root
-	ln -s busybox $@/bin/umount
+	#ln -s busybox $@/bin/umount
 	ln -s busybox $@/bin/[
 	ln -s busybox $@/bin/grep
 	ln -s busybox $@/bin/sed

=== debian/changelog ===
mkpxeinitrd-net (1.6.2-1drbl) unstable; urgency=low

  * Bug fixed: mkpxeinitrd-net failed to copy files to sub dir for libnss_files*.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Apr 2011 16:06:53 +0800

## mkpxeinitrd-net 1.6.3-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.3-1drbl) unstable; urgency=low

  * By default in mkpxeinitrd-net we switch to not including all firmwares in initrd, because what "modinfo -F firmwares" should be trusted.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 May 2011 15:12:44 +0800

## mkpxeinitrd-net 1.6.4-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.4-1drbl) unstable; urgency=low

  * Support linux kernel 3.
  * New upstream busybox 1.18.5.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 04 Aug 2011 22:21:21 +0800

## mkpxeinitrd-net 1.6.5-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.5-1drbl) unstable; urgency=low

  * The hook file "udev" was updated for more files to be included in /lib/udev/.
  * The dir /run will be created so that udevd can work.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Aug 2011 22:19:02 +0800

## mkpxeinitrd-net 1.6.6-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.6-1drbl) unstable; urgency=low

  * Add mounting /dev/pts in linuxrc-or-init

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Aug 2011 18:00:31 +0800

## mkpxeinitrd-net 1.6.7-1drbl

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.18.4
+BUSYBOX_VERSION = 1.18.5
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.6.7-1drbl) unstable; urgency=low

  * Two more flags were implemented: use_run_in_initrd and use_dev_pts_in_initrd. This allows to decide if /run and /dev/pts should be mounted in initramfs.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Aug 2011 17:06:33 +0800

## mkpxeinitrd-net 1.6.8-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.8-1drbl) unstable; urgency=low

  * Bug fixed: mkpxeinitrd-net failed to copy files to sub dir for libnss_files* for x86-64 GNU/linux.
  * New upstream busybox 1.19.2.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Sep 2011 15:38:51 +0800

## mkpxeinitrd-net 1.6.9-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.9-1drbl) unstable; urgency=low

  * To compiled in CentOS 5 (kernel 2.6.18), the UBI utils in misc were disabled, since it's useless for PXE client's initrd.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Sep 2011 09:30:36 +0800

## mkpxeinitrd-net 1.6.10-1drbl

=== debian/changelog ===
mkpxeinitrd-net (1.6.10-1drbl) unstable; urgency=low

  * The dir /lib64 will only be searched in mkpxeinitrd-net when it exists.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Sep 2011 10:55:48 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Copyright (C) 2005 Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring m68k,$(DEB_HOST_ARCH)))
	CFLAGS = -Wall -O0
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -j 4 -C initrd

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f initrd/Makefile ] || $(MAKE) -C initrd clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freedos.
	$(MAKE) -C initrd install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mkpxeinitrd-net 1.6.11-1drbl

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 1
-PATCHLEVEL = 17
-SUBLEVEL = 3
+PATCHLEVEL = 19
+SUBLEVEL = 2
 EXTRAVERSION =
 NAME = Unnamed

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.18.5
+BUSYBOX_VERSION = 1.19.2
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.6.11-1drbl) unstable; urgency=low

  * Usage function in mkpxeinitrd-net was updated. More info will be shown.
  * Udev hooks file was updated for the requirement of Ubuntu 11.10. Some more files need to be copied in hooks.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2011 15:22:36 +0800

## mkpxeinitrd-net 1.6.12-1drbl

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.19.2
+BUSYBOX_VERSION = 1.19.3
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (1.6.12-1drbl) unstable; urgency=low

  * Bug fixed: "mount --move -n /run /sysroot/run" insetad of "mount -n -o move /run /sysroot/run" in linuxrc-or-init.
  * New upstream busybox 1.19.3.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Dec 2011 15:20:36 +0800

## mkpxeinitrd-net 2.0.0-drbl1

=== debian/changelog ===
mkpxeinitrd-net (2.0.0-drbl1) unstable; urgency=low

  * Mkpxeinitrd-net version 2. New files arch so it's easier to be packaged in Debian.
  * New upstream busybox 1.20.2.
  * Replacing drbl.nchc.org.tw with drbl.org in the prompt messages.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Aug 2012 22:04:04 +0800

## mkpxeinitrd-net 2.0.1-drbl1

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.19.3
+BUSYBOX_VERSION = 1.20.2
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (2.0.1-drbl1) unstable; urgency=low

  * Depends on drbl.
  * Program mkpxeinitrd-net will only read /etc/drbl/drbl.conf if it exists. 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 13:21:43 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.0.0)
 Description: Build initial ramdisk images for DRBL clients.
   mkpxeinitrd-net is a derived program from mkinitrd-net.
   mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable for use with PXE and Etherboot (Using PXE compatable mode) network-booting software.  This package contains one main utility: mkpxeinitrd-net (to build an initrd containing a specified set of network-card modules).

## mkpxeinitrd-net 2.0.2

=== debian/changelog ===
mkpxeinitrd-net (2.0.2-drbll) unstable; urgency=low

  * Source format 3.0 was added in dir debian.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 14:03:45 +0800

## mkpxeinitrd-net 2.0.3

=== debian/changelog ===
mkpxeinitrd-net (2.0.3-drbll) unstable; urgency=low

  * Using /usr/share/drbl instead of /usr/share/drbl/ so that no "//" in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 22:34:02 +0800

## mkpxeinitrd-net 2.0.4

=== debian/changelog ===
mkpxeinitrd-net (2.0.4-drbl1) unstable; urgency=low

  * Updating debian/control. Wrong home page was corrected.
  * File debian/watch was added.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 08:39:34 +0800

mkpxeinitrd-net (2.0.3-drbl1) unstable; urgency=low

  * Using /usr/share/drbl instead of /usr/share/drbl/ so that no "//" in the PATH.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Aug 2012 22:34:02 +0800

mkpxeinitrd-net (2.0.2-drbl1) unstable; urgency=low

  * Source format 3.0 was added in dir debian.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Aug 2012 14:03:45 +0800

## mkpxeinitrd-net 2.0.5

=== debian/changelog ===
mkpxeinitrd-net (2.0.5-drbl1) unstable; urgency=low

  * Bug fixed: $initrd/dev should be created before node files are made.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Aug 2012 21:38:06 +0800

## mkpxeinitrd-net 2.0.6

=== debian/changelog ===
mkpxeinitrd-net (2.0.6-drbl1) unstable; urgency=low

  * Bug fixed: /run should be umounted before exiting initrd.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 19:30:07 +0800

## mkpxeinitrd-net 2.0.7

=== debian/changelog ===
mkpxeinitrd-net (2.0.7-drbl1) unstable; urgency=low

  * Bug fixed: For Linux kernel 3.6, the required modules for NFS are not 
    only nfs.ko, yet more modules are required, e.g. nfsv2.ko, nfsv3.ko, nfsv4.ko...

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 14 Oct 2012 16:16:51 +0800

## mkpxeinitrd-net 2.0.8

=== debian/changelog ===
mkpxeinitrd-net (2.0.8-drbl1) unstable; urgency=low

  * Suppress the error message when umounting /run.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Oct 2012 10:35:27 +0800

## mkpxeinitrd-net 2.0.9

=== debian/changelog ===
mkpxeinitrd-net (2.0.9-drbl1) unstable; urgency=low

  * Bug fixed: it's better to wait for 1 sec after the network module
    is inserted in insert-modules. Otherwise the device might not be 
    shown in /sys or /proc.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Dec 2012 09:52:40 +0800

=== debian/control ===
Source: mkpxeinitrd-net
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@nchc.org.tw>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://drbl.org/

Package: mkpxeinitrd-net
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils (>=8.5), pciutils, module-init-tools, procps, drbl (>= 2.0.0)
Description: Build initial ramdisk images for DRBL clients
 mkpxeinitrd-net is a derived program from mkinitrd-net.
 mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable
 for use with PXE and Etherboot (Using PXE compatible mode) network-booting
 software.  This package contains one main utility: mkpxeinitrd-net
 (to build an initrd containing a specified set of network-card modules).
 mkpxeinitrd-net uses code from busybox project, too.

## mkpxeinitrd-net 2.0.10

=== debian/changelog ===
mkpxeinitrd-net (2.0.10-drbl1) unstable; urgency=low

  * New upstream busybox 1.21.0.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 19:46:40 +0800

mkpxeinitrd-net (2.0.9-drbl2) unstable; urgency=low

  * Removing coreutils version required. Let OS decides that. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Feb 2013 11:10:31 +0800

## mkpxeinitrd-net 2.0.11

=== debian/changelog ===
mkpxeinitrd-net (2.0.11-drbl1) unstable; urgency=low

  * Bug fixed: wrong path for file COPYING. Thanks to Andreas Mohr 
    for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 May 2013 16:37:33 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils (>=8.5), pciutils, module-init-tools, procps, drbl (>= 2.0.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.0.0)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

## mkpxeinitrd-net 2.1.0

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.20.2
+BUSYBOX_VERSION = 1.21.1
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2
 
@@ -29,10 +29,9 @@
 clean : partlyclean
 
 partlyclean :
-	rm -rf $(UDHCP)
 	rm -rf $(BUSYBOX)
 	rm -rf initrd-skel
-	rm -f *.img *.ird *.nbi
+	rm -f *.img
 	rm -f $(UTILS)
 
 .PHONY : all utils clean partlyclean
@@ -43,20 +42,15 @@
 $(BUSYBOX) : $(BUSYBOX).tar.bz2
 	[ -d $@ ] || tar xvjf $<
 	install -m 644 config.busybox/$(BUSYBOX).config $(BUSYBOX)/.config
-	$(MAKE) -C $(BUSYBOX)
+	$(MAKE) $(MP_OPT) -C $(BUSYBOX)
 	install -m 644 $(BUSYBOX)/AUTHORS AUTHORS.busybox
 	install -m 644 $(BUSYBOX)/LICENSE LICENSE.busybox
 
 initrd-skel : $(UTILS) linuxrc-or-init udhcpc-post
 	rm -rf $@
 	mkdir -p $@
-	mkdir -p $@/dev
 	mkdir -p $@/etc
 	mkdir -p $@/bin
-	mkdir -p $@/lib
-	mkdir -p $@/lib/modules
-	mkdir -p $@/proc
-	mkdir -p $@/sysroot
 	ln -s bin $@/sbin
 	install -m 755 busybox scan_pci ls_pciid.sh get-nic-devs insert-modules $@/bin/
 	install -m 644 pcitable pci.ids linuxrc.conf netdev.conf modules $@/etc/
@@ -117,12 +111,14 @@
 
 install :
 	mkdir -p $(bindir)
+	mkdir -p $(docdir)
 	mkdir -p $(sysconfdir)
 	mkdir -p $(initrdskeldir)
 	mkdir -p $(hooksdir)
+	mkdir -p $(libdir)/mkpxeinitrd-net/bin/
 	install -m 755 \
-	        mkpxeinitrd-net parse-net-mod parse-nfs-mod $(bindir)/
+	        mkpxeinitrd-net $(bindir)/
 	install -m 755 \
-	        mkpxeinitrd-net-func $(libdir)/mkpxeinitrd-net/
+	        mkpxeinitrd-net-func parse-net-mod parse-nfs-mod $(libdir)/mkpxeinitrd-net/bin/
 	cp -a initrd-skel/* $(initrdskeldir)/
 	cp -a hooks/* $(hooksdir)/

=== debian/changelog ===
mkpxeinitrd-net (2.1.0-drbl1) unstable; urgency=low

  * New upstream busybox 1.21.1.
  * Files mkpxeinitrd-net-func, parse-net-mod and parse-nfs-mod were 
    moved to /usr/lib/mkpxeinitrd-net/bin/.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 22 Sep 2013 11:56:15 +0800

## mkpxeinitrd-net 2.1.2

=== initrd/Makefile ===
--- 
+++ 
@@ -92,6 +92,7 @@
 	ln -s busybox $@/bin/mountpoint
 	ln -s busybox $@/bin/wc
 	ln -s busybox $@/bin/ps
+	ln -s busybox $@/bin/xargs
 
 	install -m 755 linuxrc-or-init $@/linuxrc-or-init
 	install -m 755 udhcpc-post $@/bin/udhcpc-post

=== debian/changelog ===
mkpxeinitrd-net (2.1.2-drbl1) unstable; urgency=low

  * Bug fixed: newer linux kerenl and depmod do not create modules.pcimap, 
    so the scan_pci will fail. Therefore a better mechanism to use 
    modules.alias was added in insert-modules.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Oct 2013 11:02:32 +0800

mkpxeinitrd-net (2.1.1-drbl1) unstable; urgency=low

  * Adding xargs applet in busybox.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Oct 2013 09:09:21 +0800

## mkpxeinitrd-net 2.1.3

=== debian/changelog ===
mkpxeinitrd-net (2.1.3-drbl1) unstable; urgency=low

  * More prompts were added in insert-modules.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Oct 2013 11:28:08 +0800

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: mkpxeinitrd-net
 Section: admin
 Priority: extra
-Maintainer: Steven Shiau <steven@nchc.org.tw>
+Maintainer: Steven Shiau <steven@stevenshiau.org>
 Uploaders: Georges Khaznadar <georgesk@ofset.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), wget
 Standards-Version: 3.9.3
 Homepage: http://drbl.org/
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.0.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.4.39)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	@$(MAKE) -C initrd

override_dh_auto_install:
	@$(MAKE) -C initrd install DESTDIR=$(CURDIR)/debian/mkpxeinitrd-net

## mkpxeinitrd-net 2.1.4

=== debian/changelog ===
mkpxeinitrd-net (2.1.4-drbl1) unstable; urgency=low

  * Adding sleep 1 after modules are loaded. Some devices might come up not so
    fast.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 16 Oct 2013 08:19:04 +0800

## mkpxeinitrd-net 2.2.1

=== debian/changelog ===
mkpxeinitrd-net (2.2.1-drbl1) unstable; urgency=low

  * Adding mechanism to support nfs4 case.
  * New upstream busybox 1.22.1.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 13 Apr 2014 00:06:50 +0800

mkpxeinitrd-net (2.1.5-drbl1) unstable; urgency=low

  * The error message of "modprobe -R" is suppressed because on 
    older version (e.g. on CentOS 6) no option "-R".

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Mar 2014 14:36:11 +0800

## mkpxeinitrd-net 2.2.2

=== debian/changelog ===
mkpxeinitrd-net (2.2.2-drbl1) unstable; urgency=low

  * NFS4 support in udhcpc-post was added.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 13 Apr 2014 10:46:49 +0800

## mkpxeinitrd-net 2.2.3

=== debian/changelog ===
mkpxeinitrd-net (2.2.3-drbl1) unstable; urgency=low

  * Because only root account is available in initrd, the rpc.idmapd
    will be mapped to root when starting. It will be stopped before
    exiting initrd. Therefore the booting process now will be faster.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 13 Apr 2014 11:45:25 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.4.39)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.8.10)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

=== debian/watch ===
version=3

http://free.nchc.org.tw/drbl-core/src/stable/mkpxeinitrd-net-(.*)\.tar\.bz2

## mkpxeinitrd-net 2.2.4

=== debian/changelog ===
mkpxeinitrd-net (2.2.4-drbl1) unstable; urgency=low

  * Updating the prompt about mounting /sys system.
  * Using drbl.org/faq instead of drbl.sourceforge.net/faq
    in the prompt.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 27 Apr 2014 13:56:59 +0800

## mkpxeinitrd-net 2.2.5

=== debian/changelog ===
mkpxeinitrd-net (2.2.5-drbl1) unstable; urgency=low

  * Bug fixed: Failed to copy the dir in /lib/udev/rules.d/ to initrd.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Nov 2014 10:56:16 +0800

## mkpxeinitrd-net 2.2.6

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.21.1
+BUSYBOX_VERSION = 1.22.1
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (2.2.6-drbl1) unstable; urgency=low

  * Merged the patch from Ceasar Sun which improved parse-nfs-mod
    and parse-net-mod so that it can parse the xz format of modules
    on Fedora 21.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Jan 2015 11:45:14 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.8.10)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.8.22)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

## mkpxeinitrd-net 2.2.7

=== debian/changelog ===
mkpxeinitrd-net (2.2.7-drbl1) unstable; urgency=medium

  * Creating /dev/ram* and /dev/loop* in initramfs so that Ubuntu
    15.04 won't complain.
  * Suppress the error messages about "udevadm trigger". However,
    it seems not working.
  * New upstream busybox 1.23.2.
  * Make mkpxeinitrd-net be ready for Linux kernel version 4.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 May 2015 14:06:08 +0800

## mkpxeinitrd-net 2.3.1

=== debian/changelog ===
mkpxeinitrd-net (2.3.1-drbl1) unstable; urgency=low

  * File pci.ids was updated.
  * Bug fixed: insert-modules failed to use 
    "modprobe -R" to load modules.
  * Add support for systemd-udevd.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 13:21:18 +0800

## mkpxeinitrd-net 2.3.2

=== debian/changelog ===
mkpxeinitrd-net (2.3.2-drbl1) unstable; urgency=low

  * Improvement: Failed to create PXE initramfs for linux kernel 4.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 25 May 2015 21:14:35 +0800

## mkpxeinitrd-net 2.3.3

=== debian/changelog ===
mkpxeinitrd-net (2.3.3-drbl1) unstable; urgency=low

  * Loading drbl-conf-functions in mkpxeinitrd-net so that
    color output can be shown.
  * Only trigger when /proc/sys/kernel/hotplug exists for
    udev in init.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 May 2015 19:55:55 +0800

## mkpxeinitrd-net 2.3.4

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.22.1
+BUSYBOX_VERSION = 1.23.2
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2

=== debian/changelog ===
mkpxeinitrd-net (2.3.4-drbl1) unstable; urgency=low

  * Improvement: better way to get clientdir for GRUB uEFI NB
    boot parameters in udhcpc-post.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 May 2015 06:10:49 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.8.22)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.15.1)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

## mkpxeinitrd-net 2.3.5

=== debian/changelog ===
mkpxeinitrd-net (2.3.5-drbl1) unstable; urgency=low

  * Udevd from systemd 220-6 is now in /lib/systemd/systemd-udevd.
    Therefore the corresponding change has to be applied in
    linuxrc-or-init.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Jun 2015 08:42:17 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.15.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, module-init-tools, procps, drbl (>= 2.15.14)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

## mkpxeinitrd-net 2.3.6

=== debian/changelog ===
mkpxeinitrd-net (2.3.6-drbl1) unstable; urgency=low

  * Forgot to put /systemd-udevd in /hooks/udev.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Jun 2015 09:03:02 +0800
